var canvas = document.getElementById('my_dataviz');
var width = canvas.offsetWidth
var height = canvas.offsetHeight
const mercator = d3.geoMercator()
.scale(width / 1.9 / Math.PI *5)
.translate([width/2, height/2])
.center([80,22.9]);
const c2Value = d => d.properties.POINTS_;



var ctx = canvas.getContext('2d');
const pathGenerator = d3.geoPath(mercator, ctx);
// ctx.fillStyle = '#ddd';
// ctx.fillRect(0, 0, width, height);
d3.json("https://gist.githubusercontent.com/AnimeshN/27d60b61e28f74eafa7ce6f10654bb3e/raw/8f967f601a45877803dd12ca1d19c690142054ea/india_state_nfhs4.geojson", 
        function(data){
  			const area_extent = d3.extent(data.features,d=>c2Value(d))
				console.log(area_extent)
  
  const colorScale  =  d3.scaleSequential()
  .domain(area_extent)
  .interpolator(d3.interpolateRainbow);
  
    // ctx.beginPath();
    // pathGenerator(data);
    // ctx.fillStyle = (d) => { console.log(d)};
    // ctx.fill();
    // ctx.strokeStyle = "black"; 
    // ctx.stroke()
  	ctx.strokeStyle = "black";
  	ctx.lineWidth=0.3;
  	data.features.map(d =>{
      ctx.fillStyle = colorScale(c2Value(d));
      ctx.beginPath();
      pathGenerator(d);
      ctx.fill();
      ctx.stroke();
    	console.log(d);
    })
}) 

